library error

so i got my code and i just went i copied it to my arudino but i got library errors

the libraries i got in my code are

#include “winsock2.h”
#include “windows.h”
#include “ws2tcpip.h”
#pragma comment(lib, “Ws2_32.lib”)
#define DEFAULT_BUFLEN 1024

the error i get is this

Arduino: 1.8.9 (Windows 10), Board: “Digispark (Default - 16.5mhz)”

In file included fromsketch_aug22a\sketch_aug22a.ino:10:0:

C:\Users\���\Documents\Arduino\libraries\906386-6089630c15e2429e431b0b7b7d8e3a29c470e526/winsock2.h:22:22: fatal error: pshpack4.h: No such file or directory

#include <pshpack4.h>

^

compilation terminated.

exit status 1
Error compiling for board Digispark (Default - 16.5mhz).

This report would have more information with
“Show verbose output during compilation”
option enabled in File → Preferences.

Welcome

You can't use these libraries on arduino. What are you trying to do?

guix:
Welcome

You can't use these libraries on arduino. What are you trying to do?

create a reverse shell once my ATTINY85 is plugged

Reverse shell, on a ATtiny85? What do you think an ATtiny85 is, a super computer in an 8-DIP housing?

septillion:
Reverse shell, on a ATtiny85? What do you think an ATtiny85 is, a super computer in an 8-DIP housing?

does it really matter if its a super computer or attiny85 if arduino cant run these libraries?

Yes, can you’re Nokia 3310 run Pokemon Go?

of course not lol but its not the chips fault its the program it self that cant run the these libraries

are u saying if i get a better chip it will run perfectly fine with the same libraries?

No, they are made for a higher level OS.

septillion:
No, they are made for a higher level OS.

what should i buy if i want to run a script like that

winsock2 => Windows. So something that can run that. Can even be a Pi nowadays I think.